
%define oname guvcview

Summary:        GTK+ UVC Viewer and Capturer
Summary(de):	GTK+ UVC Betrachter und Aufzeichnen
Name: guvcview-gtk
Version: 2.0.6
Release: %mkrel 2
Group:          Video
License:        GPLv3+
URL:            http://guvcview.sourceforge.net/
Source0:        http://sourceforge.net/projects/%{name}/files/source/%{oname}-src-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}gsl-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}portaudio-devel
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}sdl2.0-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  %{_lib}udev0-devel
BuildRequires:  %{_lib}v4l-devel
BuildRequires:	libpthread-stubs
Requires: 	gtk+3.0
Conflicts: guvcview-qt5
#------------------------------------
Obsoletes:	%{_lib}guvcview1.1_1
Obsoletes:	%{_lib}guvcview-devel
#------------------------------------

%description
A simple interface for capturing and viewing video from devices
supported by the Linux UVC driver, although it should also work with
any v4l2 compatible device.

%description -l de
Ein einfaches interface zur Erfassung und Anzeige von Videos durch
den Linux-UVC-Treiber, sollte aber auch mit jedem v4l2-kompatiblen Gerät
zusammen arbeiten.

%prep
%setup -q -n %{oname}-src-%{version}

%build

./configure --prefix=/usr --libdir=/usr/lib64 --disable-debian-menu --disable-static --disable-gsl
  
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
  
make

%install
%__rm -rf %{buildroot}
%make_install

desktop-file-install \
  --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/%{oname}.desktop

%__sed -i '/^Name/s/guvcview/Guvcview/gI' %{buildroot}%{_desktopdir}/%{oname}.desktop

%find_lang %{oname}
%find_lang gview_v4l2core

%__mv %{buildroot}%{_defaultdocdir}/%{oname} _doc
%__rm _doc/INSTALL

find %{buildroot} -name '*.la' -exec %__rm -f {} ';'

#kill these
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/pkgconfig/*.pc


%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc _doc/*
%{_bindir}/%{oname}
%{_desktopdir}/%{oname}.desktop
%{_datadir}/appdata/%{oname}.appdata.xml
%{_mandir}/man1/%{oname}.1.*
%{_datadir}/pixmaps/%{oname}
%{_libdir}/*.so.*
%{_datadir}/locale

%changelog
* Sun Jun 23 2019 tex - 2.0.6-2pclos2019
- rebuild against updates
- switch to ffmpeg
- disable gsl

* Sun Jun 23 2019 tex - 2.0.6-1pclos2019
- new version

* Wed Mar 08 2017 bb2 <bb2> - 2.0.5-2pclos2017
- rebuild new ffmpeg

* Sat Mar 04 2017 bb2 <bb2> - 2.0.5-1pclos2017
- new version

* Wed Jan 04 2017 bb <bb> 2.0.4-2pclos2017
- rebuild for new gsl

* Fri Jun 03 2016 woodhead <pp> 2.0.4-1pclos2016
- update


